package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * AreaDaEfPeriodData对象 area_da_ef_period_data
 *
 * @author hlf
 * @date 2021-08-11
 */
public class AreaDaEfPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long areaNo;

    private Long modelNo;

    private Long timeScale;

    private Date dataTime;

    private Double value;

    private Long dataFlag;

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setTimeScale(Long timeScale) {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() {
        return timeScale;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setValue(Double value) {
        this.value = value;
    }

    public Double getValue() {
        return value;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("areaNo", getAreaNo())
                .append("modelNo", getModelNo())
                .append("timeScale", getTimeScale())
                .append("dataTime", getDataTime())
                .append("value", getValue())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
